Conversation Ended Webhook aktivieren
curl --request POST \
--url https://app.famulor.de/api/user/assistants/enable-conversation-ended-webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": 123,
"webhook_url": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 123, webhook_url: '<string>'})
};
fetch('https://app.famulor.de/api/user/assistants/enable-conversation-ended-webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/assistants/enable-conversation-ended-webhook"
payload = {
"assistant_id": 123,
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/assistants/enable-conversation-ended-webhook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assistant_id' => 123,
'webhook_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/assistants/enable-conversation-ended-webhook"
payload := strings.NewReader("{\n \"assistant_id\": 123,\n \"webhook_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Conversation ended webhook enabled successfully",
"data": []
}
Conversation Ended Webhook aktivieren
Aktiviert Conversation-Ended-Webhook-Benachrichtigungen für Chat-Konversationen
POST
/
api
/
user
/
assistants
/
enable-conversation-ended-webhook
Conversation Ended Webhook aktivieren
Aktiviere Webhook-Benachrichtigungen, die gesendet werden, sobald eine Chat-Konversation (Web Widget oder WhatsApp) endet.
Request Body
integer
erforderlich
Die Assistenten-ID, für die der Webhook aktiviert werden soll
string
erforderlich
HTTPS-URL, die Conversation-Ended-Webhook-Payloads empfangen soll
Response
string
Bestätigung, dass der Webhook aktiviert wurde
array
Leeres Array (für zukünftige Erweiterungen reserviert)
{
"message": "Conversation ended webhook enabled successfully",
"data": []
}
Siehe auch
War diese Seite hilfreich?
⌘I

